aboutsummaryrefslogtreecommitdiff
path: root/convert.sh
diff options
context:
space:
mode:
Diffstat (limited to 'convert.sh')
-rwxr-xr-xconvert.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/convert.sh b/convert.sh
index fbfd6f6..56827c1 100755
--- a/convert.sh
+++ b/convert.sh
@@ -144,6 +144,10 @@ grep -v \
mv Cryptech_Alpha.lib2 Cryptech_Alpha.lib
+# KiCad nightly has changed how symbols are located
+../remap-symbols.py rev02*sch
+cp ../sym-lib-table.template sym-lib-table
+
# Segments on non-copper layer Eco2.User are not visible, and causes ERC warnings.
# Turn them into graphical lines instead.
sed -i -e 's/segment \(.*\)layer Eco2.User.*/gr_line \1layer Eco2.User\)\)/g' Cryptech\ Alpha.kicad_pcb
@@ -156,7 +160,7 @@ test -d ../tmp || mkdir ../tmp
cp "Cryptech Alpha.kicad_pcb" "../tmp/Cryptech Alpha.kicad_pcb.a2k-out"
../fix-pcb.py "Cryptech Alpha.kicad_pcb" "Cryptech Alpha.kicad_pcb"
mv "Cryptech Alpha.kicad_pcb.before-fix-pcb" ../tmp
-diff -u "../tmp/Cryptech Alpha.kicad_pcb.before-fix-pcb" "Cryptech Alpha.kicad_pcb" || true
+#diff -u "../tmp/Cryptech Alpha.kicad_pcb.before-fix-pcb" "Cryptech Alpha.kicad_pcb" || true
echo ""
echo "Done. The leftovers from conversion is in ${altiumdir}, and you can start KiCad like this:"